<!doctype html>
<html lang="es">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Offset</title>

    <!-- CSS de bootstrap -->
    <link rel="stylesheet" href="css/bootstrap.min.css" rel="stylesheet">
    
  </head>
  <body>   
    <style>
      .columna{
        background: #2FE6DE;
        border: 1px solid #1C3041;
      }
    </style>

    <div class="container">
      <div class="row">
        <!-- offset - rellenar espacios, en este caso 4 espacios a la izquierda -->
        <div class="offset-4 col-4 columna">
          Columna de 4 espacios
        </div>
      </div>

      <div class="row">
        <!-- rellena con 8 espacios a la izquierda -->
        <div class="offset-8 col-4 columna">Columna de 4 espacios</div>
        <div class="col-4 offset-sm-5 offset-lg-2 offset-md-4 columna">Columna de 4 espacios</div>
      </div>
    </div> 

    <!-- Jquery 3.6 -->
    <script src="js/jquery.js"></script>
    <!-- Production version -->
    <script src="https://unpkg.com/@popperjs/core@2"></script>
    <!-- JS de bootstrap -->
    <script src="js/bootstrap.min.js"></script>
  
  </body>
</html>